/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import dns from 'dns';
import { Buffer } from 'buffer';
import { EventEmitter } from 'events';
import { Socket } from './socket';
export interface HandlerOpts {
    localAddress?: string;
    ipFamily?: number;
    dnsLookup?: typeof dns['lookup'];
}
interface DirectOpts {
    request: {
        url?: string;
    };
    sourceSocket: Socket;
    head: Buffer;
    server: EventEmitter & {
        log: (...args: any[]) => void;
    };
    handlerOpts: HandlerOpts;
}
/**
 * Directly connects to the target.
 * Client -> Apify (CONNECT) -> Web
 * Client <- Apify (CONNECT) <- Web
 */
export declare const direct: ({ request, sourceSocket, head, server, handlerOpts, }: DirectOpts) => void;
export {};
//# sourceMappingURL=direct.d.ts.map